﻿@model eCommerce.Services.Model.BankInterest
@{
    ViewBag.Title = "Promoción con tarjeta";
	Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Promoción con tarjeta</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("BankInterestUpdate", "BankInterest", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Name" id="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Banco</label>
                            <div class="col-sm-9">
                                <select class="form-control" name="BankId" id="BankId" data-plugin="select2">
                                    @if (TempData["Banks"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Banks"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Número de cuotas</label>
                            <div class="col-sm-9">
                                <input type="number" max="99" class="form-control" name="Installments" value="@(Model.Installments)" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Interés</label>
                            <div class="input-group col-sm-9">
                                <span class="input-group-addon">%</span>
                                <input type="text" class="form-control" name="Percent" value="@(Model.Percent)" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Orden</label>
                            <div class="col-sm-9">
                                <input type="number" max="99" class="form-control" name="DisplayOrder" value="@(Model.DisplayOrder)" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-2">Fecha desde</label>
                            <div class="input-group col-sm-9">
                                <span class="input-group-addon">
                                    <i class="icon wb-calendar" aria-hidden="true"></i>
                                </span>
                                <input type="text" class="form-control DateInput" name="FromDate" value="@(Model.FromDate != DateTime.MinValue ? Model.FromDate.ToShortDateString():string.Empty)" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-sm-2">Fecha hasta</label>
                            <div class="input-group col-sm-9">
                                <span class="input-group-addon">
                                    <i class="icon wb-calendar" aria-hidden="true"></i>
                                </span>
                                <input type="text" class="form-control DateInput" name="ToDate" value="@(Model.ToDate != DateTime.MinValue ? Model.ToDate.ToShortDateString():string.Empty)" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Tipo Publicado</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="StoreType" id="StoreType" data-plugin="select2">
                                    @if (TempData["StoreType"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["StoreType"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Monto Mínimo</label>
                            <div class="col-sm-9">
                                <input type="number" class="form-control" name="MinimumAmount" id="MinimumAmount" value="@(Model.MinimumAmount)" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Activo</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="Active" id="Active" class="js-switch-small" data-plugin="switchery" data-size="small" @(Model.Active ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-success" onclick="save()"><i class="icon wb-check" aria-hidden="true"></i> Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/BankInterest'">Cancelar</button>
                            @Html.HiddenFor(model => model.BankInterestId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    },
                    Benefit: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    }
                }
            });
        })();

        $('.DateInput').datepicker({
            format: "dd/mm/yyyy",
            language: "es",
            autoclose: true,
            todayHighlight: true
        });

    </script>
}

